Skip to main content
GET
/
staked_tokens
/
{accountAddress}
Get staked tokens by wallet address
curl --request GET \
  --url https://api.fuse.io/api/v0/staking/staked_tokens/{accountAddress}
{
  "totalStakedAmountUSD": 123,
  "totalEarnedAmountUSD": 123,
  "stakedTokens": [
    {
      "tokenAddress": "<string>",
      "tokenSymbol": "<string>",
      "tokenName": "<string>",
      "tokenLogoURI": "<string>",
      "unStakeTokenAddress": "<string>",
      "stakingProviderId": "<string>",
      "expired": true,
      "stakingApr": 123,
      "tvl": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.fuse.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

accountAddress
string
required

The wallet address to query staked tokens for.

Query Parameters

apiKey
string
required

Your API key to authenticate requests.

Response

Staked tokens information for the specified wallet address.

totalStakedAmountUSD
number
totalEarnedAmountUSD
number
stakedTokens
object[]